using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Telerik.WinControls.UI;

namespace RadGridViewCheckBoxValue
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            #region Setting up the DataSource

            Random rand = new Random();

            DataTable dt = new DataTable();

            DataColumn textCol = new DataColumn();
            textCol.Caption = "Bool text";
            textCol.ColumnName = "Bool text";
            dt.Columns.Add(textCol);

            DataColumn boolCol = new DataColumn();
            boolCol.Caption = "Checkbox";
            boolCol.ColumnName = "Checkbox";
            boolCol.DataType = typeof(bool);
            dt.Columns.Add(boolCol);

            int randomNumber = 0;

            for (int i = 0; i < 100; i++)
            {
                DataRow row = dt.NewRow();

                randomNumber = rand.Next(2);
                if (randomNumber == 0)
                {
                    row[0] = "True";
                    row[1] = true;
                }
                else
                {
                    row[0] = "False";
                    row[1] = false;
                }

                dt.Rows.Add(row);
            }

            #endregion

            this.radGridView1.DataSource = dt;

            this.radGridView1.ValueChanged += new EventHandler(radGridView1_ValueChanged);
        }

        void radGridView1_ValueChanged(object sender, EventArgs e)
        {
            if (sender is RadCheckBoxEditor)
            {
                RadCheckBoxEditor checkBoxEditor = (RadCheckBoxEditor)sender;
                this.radGridView1.CurrentCell.Value = (bool)checkBoxEditor.Value;
                if ((bool)checkBoxEditor.Value)
                {
                    this.radGridView1.CurrentRow.Cells["Bool text"].Value = "True";
                }
                else
                {
                    this.radGridView1.CurrentRow.Cells["Bool text"].Value = "False";
                }                
            }
        }
    }
}